net.corda.core.contracts

## Class General.Builder

- TransactionBuilder
- - net.corda.core.contracts.TransactionType.General.Builder

- Enclosing class:
    TransactionType.General

      public static class General.Builder
      extends TransactionBuilder

  Just uses the default `class TransactionBuilder` with no special logic

  See Also:
    `class TransactionBuilder`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(Party notary)` Just uses the default `class TransactionBuilder` with no special logic

  - ### Method Summary

    - ### Methods inherited from class net.corda.core.transactions.TransactionBuilder

      `addAttachment, addCommand, addCommand, addCommand, addInputState, addOutputState, addOutputState, addOutputState, addOutputState, addSignatureUnchecked, attachments, checkAndAddSignature, checkSignature, commands, copy, getAttachments, getCommands, getCurrentSigs, getInputs, getNotary, getOutputs, getSigners, getTime, getTimestamp, getType, inputStates, outputStates, setNotary, setTime, setTime, setTimestamp, signWith, toSignedTransaction, toWireTransaction, withItems`

- - ### Constructor Detail

    - #### Builder

          public Builder(Party notary)

      Just uses the default `class TransactionBuilder` with no special logic

      See Also:
        `class TransactionBuilder`